Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fonts
Class SimpleFontFace

    java.lang.Object
      net.sf.jasperreports.engine.fonts.SimpleFontFace

All Implemented Interfaces:
  FontFace

    public class SimpleFontFace

extends java.lang.Object
implements FontFace

Version:
  $Id: SimpleFontFace.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`SimpleFontFace(java.awt.Font font)`
`SimpleFontFace(java.lang.String file)`

Method Summary
`java.lang.String` | `getFile()` Returns the TTF file, if the font face has specified one (the font face does not specify a TTF file in case it maps a JVM available font such as a Java logical font or a system font).
`java.awt.Font` | `getFont()` Returns a non-null instance of java.awt.Font representing the font face.
`java.lang.String` | `getName()` Returns the non-null name of the font face.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFontFace

    public SimpleFontFace(java.lang.String file)

### SimpleFontFace

    public SimpleFontFace(java.awt.Font font)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `FontFace`
  Returns the non-null name of the font face.

  Specified by:
    `getName` in interface `FontFace`

### getFile

    public java.lang.String getFile()

  Description copied from interface: `FontFace`
  Returns the TTF file, if the font face has specified one (the font face does not specify a TTF file in case it maps a JVM available font such as a Java logical font or a system font).

  Specified by:
    `getFile` in interface `FontFace`

### getFont

    public java.awt.Font getFont()

  Description copied from interface: `FontFace`
  Returns a non-null instance of java.awt.Font representing the font face.

  Specified by:
    `getFont` in interface `FontFace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com